Get customer payment tokens
Get all cards of customer
Get customer payment tokens
GET /svc/payment/api/v1/openapi/customers/:uuid/payment_tokens
Get all cards of customer
Request
Path Parameters
uuid stringrequired
Query Parameters
token_type string
Possible values: [Credit Card, Wechat Pay, Alipay]
Responses
- 200
Response Headers
-
application/json
-
Schema
-
Example (auto)
Schema
code numberrequired
message stringrequired
data objectrequired
payment_tokens object[]nullablerequired
Array [
token_type stringrequired
The token type
Possible values: [CreditCard, WechatPayAutoDebit, AlipayAutoDebit]
Example: CreditCard
token stringrequired
The token value
state stringrequired
default booleanrequired
If it's default token
error_code string
if bind card failed, will return the specific error code
error_msg string
if bind card failed, will return the specific error message
credit_card object
if token_type is CreditCard
number string
exp_month string
exp_year string
holder_name string
brand string
billing_currency string
]
{
"code": 0,
"message": "string",
"data": {
"payment_tokens": [\
{\
"token_type": "CreditCard",\
"token": "string",\
"state": "string",\
"default": true,\
"error_code": "string",\
"error_msg": "string",\
"credit_card": {\
"number": "string",\
"exp_month": "string",\
"exp_year": "string",\
"holder_name": "string",\
"brand": "string",\
"billing_currency": "string"\
}\
}\
]
}
}-
csharp
-
curl
-
dart
-
go
-
http
-
java
-
javascript
-
kotlin
-
c
-
nodejs
-
objective-c
-
ocaml
-
php
-
powershell
-
python
-
r
-
ruby
-
rust
-
shell
-
swift
-
HTTPCLIENT
-
RESTSHARP
var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Get, "https://developer.wonder.today/svc/payment/api/v1/openapi/customers/:uuid/payment_tokens");
request.Headers.Add("Accept", "application/json");
var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();
Console.WriteLine(await response.Content.ReadAsStringAsync());Request Collapse all
Parameters
uuid — pathrequired
Show optional parameters
token_type — query
---Credit CardWechat PayAlipay